osmo_conv_code Struct Reference
Convolutional encoding and decoding routines

structure describing a given convolutional code More...

`#include <conv.h>`

## Data Fields

int | N
| Inverse of code rate.
int | K
| Constraint length.
int | len

# of data bits

enum osmo_conv_term | term
| Termination type.
const uint8_t(* | next_output )[2]
| Next output array.
const uint8_t(* | next_state )[2]
| Next state array.
const uint8_t * | next_term_output
| Flush termination output.
const uint8_t * | next_term_state
| Flush termination state.
const int * | puncture
| Punctured bits indexes.

## Detailed Description

structure describing a given convolutional code

The only required fields are N,K and the next_output/next_state arrays. The other can be left to default value of zero depending on what the code does. If 'len' is left at 0 then only the low level API can be used.

The documentation for this struct was generated from the following file:

- include/osmocom/core/conv.h